For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/patch-api-contacts-channel-by-channel_id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
Update Contact Channel
PATCH
/api/contacts/channel/:channel_id
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { channel, channelError } = await reloop.contacts.channels.updateSubscription(6 "chn_123456789",7 { email: "john.doe@example.com", subscription: "opt_out" },8);9
10if (channelError) throw channelError;11
12console.log(channel.status, channel.success);1{2 "success": true,3 "status": "enrolled",4 "event": "contact.update"5}Path Parameters
channel_idstringRequired
Channel ID
Body Parameters
contact_idstring
Contact ID
emailstring
Contact email address
subscription"opt_in" | "opt_out"Required
Possible values: opt_in | opt_out
Was this page helpful?